package operations;

import java.io.File;
import java.io.FileInputStream;

import org.apache.commons.io.FileUtils;
import org.apache.commons.io.FilenameUtils;
import org.apache.poi.ss.usermodel.Workbook;
import org.apache.poi.xssf.usermodel.XSSFSheet;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.openqa.selenium.OutputType;
import org.openqa.selenium.TakesScreenshot;
import org.openqa.selenium.WebDriver;

public class Operations {
	
	public static void takescreenshot(WebDriver driver,String name){
	
		try{
			TakesScreenshot ts=(TakesScreenshot)driver;
			File src=ts.getScreenshotAs(OutputType.FILE);
			FileUtils.copyFile(src,new File("./Screenshots/"+name+".png"));
		System.out.println("Screenshot taken as "+name);
			
		}catch(Exception e){
			System.out.println("excepion while taking screenshots "+e);
		}
	}
	
public static String readExternalData(int i,int j){
	String s=null;
	
	try{
		File f=new File("./ExternalDataSource/TestData.xlsx");
		FileInputStream fin=new FileInputStream(f);
		Workbook workbook=new XSSFWorkbook(fin);
		XSSFSheet sheet=(XSSFSheet) workbook.getSheetAt(0);
		s=sheet.getRow(i).getCell(j).getStringCellValue();
	
	
	}
	catch(Exception e){
	
		System.out.println("exception while reading data "+e.getMessage());
	}
	return s;
	
	
}

}
