package searchBus;

import java.awt.RenderingHints.Key;
import java.util.List;
import java.util.concurrent.TimeUnit;

import operations.Operations;

import org.testng.annotations.Test;

import objectRipository.Util;

import org.openqa.selenium.By;
import org.openqa.selenium.Keys;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.chrome.ChromeDriver;
import org.openqa.selenium.firefox.FirefoxDriver;
import org.openqa.selenium.remote.CapabilityType;
import org.openqa.selenium.remote.DesiredCapabilities;
import org.openqa.selenium.support.ui.Select;
import org.openqa.selenium.support.ui.WebDriverWait;
import org.testng.annotations.BeforeTest;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

import com.beust.jcommander.Parameter;

public class SearchBus {
	
//selection of browser- cross browser concept
	WebDriver driver;

	@BeforeTest
	@Parameters("browser")
	public void openBrowser(String browserName){
		
		try{
			if(browserName.equalsIgnoreCase("firefox")){
				DesiredCapabilities dc=new DesiredCapabilities();
				dc.setCapability(CapabilityType.ACCEPT_SSL_CERTS, true);
				driver=new FirefoxDriver(dc);
				driver.manage().timeouts().implicitlyWait(10,TimeUnit.SECONDS);
				System.out.println("openning browser with desired capablities");
			driver.get(Util.baseurl1);
			}
			else{
				System.setProperty("webdriver.chrome.driver","G:\\Selenium doc+soft\\Drivers\\chromedriver.exe");
				DesiredCapabilities dc=new DesiredCapabilities();
				dc.setCapability(CapabilityType.ACCEPT_SSL_CERTS, true);
				driver=new ChromeDriver(dc);
				driver.manage().timeouts().implicitlyWait(10,TimeUnit.SECONDS);
				driver.get(Util.baseurl1);
			}}
			catch(Exception e){
				System.out.println("unable to launch browser"+e.getMessage());
				
			}
			
		
		
	}
	
	@Test(priority=0)
	public void searchBus(){
		
		try{
			//driver.switchTo().alert().dismiss();
			//reading external data
			String s_city=Operations.readExternalData(1, 0);
			System.out.println(s_city);
			driver.findElement(By.id(Util.source_id)).sendKeys(s_city);
			driver.findElement(By.id(Util.source_id)).sendKeys(Keys.ENTER);
			String D_city=Operations.readExternalData(1, 1);
			System.out.println(D_city);
			driver.findElement(By.id(Util.dest_id)).sendKeys(D_city);
			driver.findElement(By.id(Util.dest_id)).sendKeys(Keys.ENTER);
			Thread.sleep(10);
			//Select oselect=(Select) driver.findElement(By.xpath(".//*[@id='search']/div/div[2]/div/ul"));
			//oselect.selectByVisibleText("Mumbai");
			
			driver.findElement(By.xpath("//*[@class='fl search-box date-box']")).click();
			//driver.findElement(By.id("onward_cal")).click();
			System.out.println("startdate box sleceted");
//			WebDriverWait wait=new WebDriverWait(driver, 10);
//			wait();
			Thread.sleep(3000);
		 driver.findElement(By.xpath(Util.cal1_xpth)).click();
		 System.out.println("date slected");
		 //List<WebElement> dates=(List<WebElement>)
		//System.out.println(dates);
//			driver.findElement(By.id(Util.lastDate_id)).click();
//			Thread.sleep(3000);
//			System.out.println("calender selected");
//			driver.findElement(By.xpath(Util.cal2_xpth)).click();
           driver.findElement(By.xpath("//*[@id='search_btn']")).click();
           Thread.sleep(3000);
			operations.Operations.takescreenshot(driver, "searchResult");
			System.out.println("search completed and result saved in screenshots folder");
			Thread.sleep(1000);
			driver.close();
			
			
			
		}
		catch(Exception e){
			System.out.println("unable to locate elemnt "+e.getMessage());
			operations.Operations.takescreenshot(driver, "FailedResult");
			System.out.println("failed completed and result saved in screenshots folder");
			driver.close();
		}
		
		
		
		
		
	}
	
	

}
